Bug 439651 - use uint64_t instead of u_quad_t
use uint64_t instead of u_quad_t
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Other
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 21:07 EDT by Mike Gerdts
Modified: 2009-03-10 08:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 08:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Convert u_quad_t to uint64_t (1.81 KB, patch)
2008-03-29 21:07 EDT, Mike Gerdts
no flags Details | Diff
Convert u_quad_t to uint64_t (remote_protocol.{c,h}) (5.72 KB, patch)
2008-03-30 14:44 EDT, Mike Gerdts
no flags Details | Diff

  None (edit)
Description Mike Gerdts 2008-03-29 21:07:16 EDT
Description of problem:

Solaris does not define u_quad_t, which is used in qemud/remote_protocol.h.

According to http://cygwin.com/ml/cygwin/2005-03/msg00323.html it is an -ism
rather than a standard.  Perhaps uint64_t is a better 
Version-Release number of selected component (if applicable):

CVS as of March 29, 2008

How reproducible:

Every time

Steps to Reproduce:
1. Be sure you are on Solaris.
2. Check out code from cvs
3. Try to build the code
  
Actual results:

In file included from remote_internal.c:73:
../qemud/remote_protocol.h:97: error: syntax error before "u_quad_t"
../qemud/remote_protocol.h:97: warning: no semicolon at end of struct or union
../qemud/remote_protocol.h:99: error: syntax error before '}' token
. . .


Expected results:


Additional info:
Comment 1 Mike Gerdts 2008-03-29 21:07:16 EDT
Created attachment 299601 [details]
Convert u_quad_t to uint64_t
Comment 2 Mike Gerdts 2008-03-30 14:43:04 EDT
Comment on attachment 299601 [details]
Convert u_quad_t to uint64_t

missed required changes in remote_protocol.c
Comment 3 Mike Gerdts 2008-03-30 14:44:19 EDT
Created attachment 299633 [details]
Convert u_quad_t to uint64_t (remote_protocol.{c,h})
Comment 4 Richard W.M. Jones 2008-03-31 06:07:43 EDT
These two files are autogenerated from remote_protocol.x.

What happens if you run rpcgen on remote_protocol.x?
Comment 5 Richard W.M. Jones 2008-03-31 06:08:37 EDT
... or rather, delete those two files and run 'make -C qemud'
Comment 6 Bug Zapper 2008-05-14 04:25:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Daniel Berrange 2009-03-10 08:34:25 EDT
This problem was addressed in the 0.6.0 release, we now use uint64_t.

Note You need to log in before you can comment on or make changes to this bug.